---
type: api
title: Get value list privileges
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-readlistprivileges
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-readlistprivileges
products:
  - Kibana
---

# Get value list privileges

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/lists/privileges`
- `GET` `/s/{space_id}/api/lists/privileges`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Returns the caller's authentication state and the Elasticsearch `cluster`, `index`, and `application`
privileges for `.lists` and `.items` data streams in the current Kibana space. Use this to decide which list
APIs (`read` vs `all` operations) are available before you create or import lists.

## Responses

#### `200`

Successful response

`application/json`

- `is_authenticated` (boolean)
- `listItems` ({})
  - `application` (map string to boolean)
  - `cluster` (map string to boolean)
  - `has_all_requested` (boolean)
  - `index` (map string to string to boolean)
  - `username` (string)
- `lists` ({})
  - `application` (map string to boolean)
  - `cluster` (map string to boolean)
  - `has_all_requested` (boolean)
  - `index` (map string to string to boolean)
  - `username` (string)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/lists/privileges
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/lists/privileges"
```

## Response Examples

#### Privileges

```json
{
  "is_authenticated": true,
  "listItems": {
    "application": {},
    "cluster": {
      "all": true,
      "manage": true,
      "manage_api_key": true,
      "manage_index_templates": true,
      "manage_ml": true,
      "manage_own_api_key": true,
      "manage_pipeline": true,
      "manage_security": true,
      "manage_transform": true,
      "monitor": true,
      "monitor_ml": true,
      "monitor_transform": true
    },
    "has_all_requested": true,
    "index": {
      ".items-default": {
        "all": true,
        "create": true,
        "create_doc": true,
        "create_index": true,
        "delete": true,
        "delete_index": true,
        "index": true,
        "maintenance": true,
        "manage": true,
        "monitor": true,
        "read": true,
        "view_index_metadata": true,
        "write": true
      }
    },
    "username": "elastic"
  },
  "lists": {
    "application": {},
    "cluster": {
      "all": true,
      "manage": true,
      "manage_api_key": true,
      "manage_index_templates": true,
      "manage_ml": true,
      "manage_own_api_key": true,
      "manage_pipeline": true,
      "manage_security": true,
      "manage_transform": true,
      "monitor": true,
      "monitor_ml": true,
      "monitor_transform": true
    },
    "has_all_requested": true,
    "index": {
      ".lists-default": {
        "all": true,
        "create": true,
        "create_doc": true,
        "create_index": true,
        "delete": true,
        "delete_index": true,
        "index": true,
        "maintenance": true,
        "manage": true,
        "monitor": true,
        "read": true,
        "view_index_metadata": true,
        "write": true
      }
    },
    "username": "elastic"
  }
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "Unable to resolve list privileges: invalid or missing space context for this request",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/lists/privileges] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

